name: build-test

on:
  push:
    branches: [ main ]
    
jobs:
    build-and-test:
        runs-on: ubuntu-latest

        steps:
            - uses: actions/checkout@v2 # preuzimanje svih datoteka sa repozitorijuma 
            - name: Install Qt # instalacija qt-a
                uses: jurplel/install-qt-action@v2
            - name: create-build-dir # kreiranje direktorijuma za build
                working-directory: ./backend
                run: mkdir build
            - name: build-cmake # generisanje Makefile-a 
                working-directory: ./backend/build
                run: cmake -G "Unix Makefiles" ..
            - name: build-make # generisanje izvrsnih datoteka
                working-directory: ./backend/build
                run: make
            - name: run-test # pokretanje jedinicnih testova za logiku igre
                working-directory: ./backend/build
                run: ./run-game-test
            
